Bug 126283

Summary: Subpixel layout: Umbrella bug for enabling subpixel layout.
Product: WebKit Reporter: zalan <zalan>
Component: Layout and RenderingAssignee: zalan <zalan>
Status: REOPENED ---    
Severity: Normal CC: bfulgham, hyatt, jonlee, koivisto, laszlo.gombos, leviw, ossy, phiw2, roger_fong, simon.fraser, syoichi, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: OS X 10.9   
Bug Depends on: 126651, 126898, 126900, 127524, 101848, 125659, 125673, 125728, 125757, 125829, 125911, 125963, 125977, 126008, 126646, 126647, 126650, 126653, 126656, 126657, 126658, 126663, 126664, 126665, 126844, 126892, 126899, 127074, 127212, 127404    
Bug Blocks:    
Attachments:
Description Flags
regressions on LayoutTests/fast
none
LayoutTests/fast results none

Description zalan 2013-12-29 21:02:53 PST
<rdar://problem/15172510>
Comment 1 zalan 2013-12-29 21:39:27 PST
Created attachment 220099 [details]
regressions on LayoutTests/fast
Comment 2 zalan 2014-01-08 19:53:22 PST
Created attachment 220694 [details]
LayoutTests/fast results
Comment 3 zalan 2014-01-13 09:12:58 PST
Committed r161882: <http://trac.webkit.org/changeset/161882>
Comment 4 zalan 2014-01-13 09:13:53 PST
closed by bot. reopen.
Comment 5 Jon Lee 2014-01-14 00:17:17 PST
*** Bug 102622 has been marked as a duplicate of this bug. ***
Comment 6 Csaba Osztrogon√°c 2014-01-14 14:16:44 PST
(In reply to comment #3)
> Committed r161882: <http://trac.webkit.org/changeset/161882>

Apple Windows bots are dead after this change. Are you plannig 
to update Windows expected files too?

http://build.webkit.org/builders/Apple%20Win%207%20Release%20%28Tests%29?numbuilds=200
Comment 7 zalan 2014-01-14 15:56:26 PST
(In reply to comment #6)
> (In reply to comment #3)
> > Committed r161882: <http://trac.webkit.org/changeset/161882>
> 
> Apple Windows bots are dead after this change. Are you plannig 
> to update Windows expected files too?
> 
> http://build.webkit.org/builders/Apple%20Win%207%20Release%20%28Tests%29?numbuilds=200

I'll be turing off subpixel layout for Win.
Comment 8 Roger Fong 2014-01-15 15:40:43 PST
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #3)
> > > Committed r161882: <http://trac.webkit.org/changeset/161882>
> > 
> > Apple Windows bots are dead after this change. Are you plannig 
> > to update Windows expected files too?
> > 
> > http://build.webkit.org/builders/Apple%20Win%207%20Release%20%28Tests%29?numbuilds=200
> 
> I'll be turing off subpixel layout for Win.

Are rebaselines for sub pixel layout on Win being worked on?
It'd be nice to have sub pixel layout on for Win, so that we can continue to fall back to mac's expected results and have less failures. Right now the bots are unusable.
Comment 9 zalan 2014-01-15 16:38:11 PST
(In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #6)
> > > (In reply to comment #3)
> > > > Committed r161882: <http://trac.webkit.org/changeset/161882>
> > > 
> > > Apple Windows bots are dead after this change. Are you plannig 
> > > to update Windows expected files too?
> > > 
> > > http://build.webkit.org/builders/Apple%20Win%207%20Release%20%28Tests%29?numbuilds=200
> > 
> > I'll be turing off subpixel layout for Win.
> 
> Are rebaselines for sub pixel layout on Win being worked on?
> It'd be nice to have sub pixel layout on for Win, so that we can continue to fall back to mac's expected results and have less failures. Right now the bots are unusable.
This and a bit of a rebaseline should help.
https://bugs.webkit.org/show_bug.cgi?id=127074
Comment 10 zalan 2014-01-19 18:17:34 PST
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #7)
> > > (In reply to comment #6)
> > > > (In reply to comment #3)
> > > > > Committed r161882: <http://trac.webkit.org/changeset/161882>
> > > > 
> > > > Apple Windows bots are dead after this change. Are you plannig 
> > > > to update Windows expected files too?
> > > > 
> > > > http://build.webkit.org/builders/Apple%20Win%207%20Release%20%28Tests%29?numbuilds=200
> > > 
> > > I'll be turing off subpixel layout for Win.
> > 
> > Are rebaselines for sub pixel layout on Win being worked on?
> > It'd be nice to have sub pixel layout on for Win, so that we can continue to fall back to mac's expected results and have less failures. Right now the bots are unusable.
> This and a bit of a rebaseline should help.
> https://bugs.webkit.org/show_bug.cgi?id=127074
Win should be all set now.